T_C_TO_C_1D_FFT_FLOAT(3)

FUNCTION
t_c_to_c_1D_fft_float - Compute a 1D complex to complex single precision FFT.

SYNOPSIS
#include <karma_t.h>

unsigned int t_c_to_c_1D_fft_float

(float *real, float *imag, unsigned int length, unsigned int stride, int direction)

DESCRIPTION
This routine will perform a complex to complex 1 dimensional FFT on an array of single precision complex data. The routine performs the transform in situ.

real
    The array of real components. This is modified.

imag
    The array of imaginary components. This is modified.

length
    The number of complex values in the array to transform.

stride
    The stride (in bytes) of successive components.

direction
    If the value is KARMA_FFT_FORWARD, the forward transform is performed. If the value is KARMA_FFT_INVERSE, the inverse transform is performed.

RETURN VALUE
A value indicating the success / failure status of the transform. See <-t_FFT_STATUS-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/